MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027212Open CASCADE[OCCT] OCCT:Configurationpublic2016-02-29 13:022016-12-09 16:37
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027212: Make cmake configurator flexible concerning option BUILD_WITH_DEBUG
DescriptionWhen cmake generates project files for MSVS, if I set BUILD_WITH_DEBUG option, it inserts OCCT_DEBUG preprocessor definition in both Release and Debug configurations.
It should be flexible so that I could generate Release mode without OCCT_DEBUG and Debug mode with this definition.
Steps To Reproduce• Configure occt via CMake with using BUILD_WITH_DEBUG variable
• Check that OCCT_DEBUG definition exists in properties of projects
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0053553)
git (administrator)
2016-04-25 15:22

Branch CR27212 has been created by ski.

SHA-1: e1a984ee70b24b83dd810f815a07a27b72990b8f


Detailed log of new commits:

Author: ski
Date: Mon Apr 25 13:36:23 2016 +0300

    0027212: Make cmake configurator flexible concerning option BUILD_WITH_DEBUG
    
    Added flexible behaviour for option BUILD_WITH_DEBUG.
(0053554)
ski (developer)
2016-04-25 15:25

Dear ibs,

Flexible behaviour for option BUILD_WITH_DEBUG was added.

Please, review.
(0053561)
git (administrator)
2016-04-25 17:32

Branch CR27212 has been updated forcibly by ski.

SHA-1: 81d2c115ae9fdee3ce0cf5babc69136bf4426287
(0053576)
git (administrator)
2016-04-26 11:05

Branch CR27212 has been updated forcibly by ski.

SHA-1: 20d4283601528ee074b2cc05cd53708323536b38
(0053577)
ski (developer)
2016-04-26 11:07

As it was discussed:

BUILD_WITH_DEBUG checkbox is available only for Debug configuration now.
(0053579)
ibs (developer)
2016-04-26 11:15

the patch has been reviewed without remark
(0054202)
git (administrator)
2016-05-20 12:22

Branch CR27212 has been deleted by inv.

SHA-1: 20d4283601528ee074b2cc05cd53708323536b38

- Related Changesets
occt: master e13e5f39
Timestamp: 2016-04-26 08:05:46
Author: ski
Committer: bugmaster
Details ] Diff ]
0027212: Make cmake configurator flexible concerning option BUILD_WITH_DEBUG

Added flexible behaviour for option BUILD_WITH_DEBUG.
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-29 13:02 msv New Issue
2016-02-29 13:02 msv Assigned To => bugmaster
2016-03-01 10:18 bugmaster Assigned To bugmaster => ski
2016-04-25 13:40 ski Status new => assigned
2016-04-25 15:22 git Note Added: 0053553
2016-04-25 15:25 ski Note Added: 0053554
2016-04-25 15:25 ski Assigned To ski => ibs
2016-04-25 15:25 ski Status assigned => resolved
2016-04-25 15:25 ski Steps to Reproduce Updated View Revisions
2016-04-25 17:32 git Note Added: 0053561
2016-04-26 11:05 git Note Added: 0053576
2016-04-26 11:07 ski Note Added: 0053577
2016-04-26 11:15 ibs Note Added: 0053579
2016-04-26 11:15 ibs Assigned To ibs => bugmaster
2016-04-26 11:15 ibs Status resolved => reviewed
2016-04-29 16:10 bugmaster Changeset attached => occt master e13e5f39
2016-04-29 16:10 bugmaster Status reviewed => verified
2016-04-29 16:10 bugmaster Resolution open => fixed
2016-05-20 12:22 git Note Added: 0054202
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker